<?php

/**
 * Wolf CMS - Content Management Simplified. <http://www.wolfcms.org>
 * Copyright (C) 2009 Martijn van der Kleijn <martijn.niji@gmail.com>
 *
 * This file is part of Wolf CMS.
 *
 * Wolf CMS is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Wolf CMS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Wolf CMS.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Wolf CMS has made an exception to the GNU General Public License for plugins.
 * See exception.txt for details and the full text.
 */

/* Make sure we've been called using index.php */
if (!defined('INSTALL_SEQUENCE')) {
    echo '<p>Illegal call. Terminating.</p>';
    exit();
}
?>

    <script type="text/javascript" charset="utf-8" src="../admin/javascripts/prototype.js"></script>
    <h1>Installation result <img src="install-logo.png" alt="Wolf CMS logo" class="logo" /></h1>
    <?php if (isset($error) && false !== $error): ?>
        <p style="color: red;"><?php echo $error; ?></p>
        <p><a href="index.php">Click here to try again</a></p>
    <?php else: ?>
        <p><?php echo $msg; ?></p><br/>
        <h3>Post install actions</h3>
        <p>
            Wolf CMS was succesfully installed.
            To enhance security <b>you should now:</b>
        </p>
        <ol>
            <li>Delete the <em>install/</em> folder!</li>
            <li>Remove all write permissions from the <em>config.php</em> file! <sup>2)</sup></li>
            <li>Remove changelog.txt and similar text files to enhance security.</li>
        </ol>
        <h3>Footnotes</h3>
        <p class="footnotes">
            <sup>1)</sup> Be aware: the password is generated by Wolf CMS.
            Use it to login to Wolf CMS and <strong>change your password</strong>!<br/>
            
            <sup>2)</sup> Actually, Wolf CMS will not run unless you remove all write permissions from config.php!
        </p>
    <?php endif; ?>